#!/bin/bash


function getLogDir() {
    sessionid=$(cat /runlist.json | python3 -c 'import json,sys;obj=json.load(sys.stdin);print(obj["session"]["uuid"])')
    run_id=$(cat /runlist.json | python3 -c 'import json,sys;obj=json.load(sys.stdin);print(obj["session"]["runUuid"])')
    tcname=$(cat /testcase.json | python3 -c 'import json,sys;obj=json.load(sys.stdin);print(obj["name"])')

    dateTimeDir=$(date '+%m%d%Y%H%M%S')
    testname=$(echo $tcname |  sed -e 's/ /_/g')
    mkdir  -p  /results/$sessionid/$run_id/$testname/
    mkdir  -p /results/$sessionid/$run_id/$testname/$dateTimeDir
    logdir=/results/$sessionid/$run_id/$testname/$dateTimeDir
   echo $logdir
}

function getTestCaseName() {
  tcname=$(cat /testcase.json | python3 -c 'import json,sys;obj=json.load(sys.stdin);print(obj["name"])')
  echo $tcname
}
